/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.arrebol.taxiservicios.model.admin;

import java.io.Serializable;
import java.util.Objects;

/**
 *
 * @author Picasso
 */
public class PersonHasServiceId implements Serializable {

    private static final long serialVersionUID = -2972503103580631245L;

    private String personId;
    private String serviceId;

    public PersonHasServiceId() {
    }

    public PersonHasServiceId(String personId, String serviceId) {
        this.personId = personId;
        this.serviceId = serviceId;
    }

    public String getPersonId() {
        return personId;
    }

    public void setPersonId(String personId) {
        this.personId = personId;
    }

    public String getServiceId() {
        return serviceId;
    }

    public void setServiceId(String serviceId) {
        this.serviceId = serviceId;
    }

    @Override
    public int hashCode() {
        int hash = 5;
        hash = 53 * hash + Objects.hashCode(this.personId);
        hash = 53 * hash + Objects.hashCode(this.serviceId);
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final PersonHasServiceId other = (PersonHasServiceId) obj;
        if (!Objects.equals(this.personId, other.personId)) {
            return false;
        }
        if (!Objects.equals(this.serviceId, other.serviceId)) {
            return false;
        }
        return true;
    }

}
